Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.openpgp
Class PGPCertificateParameterBuilder

    java.lang.Object
      cryptix.openpgp.PGPAbstractSignatureParameterBuilder
          cryptix.openpgp.PGPCertificateParameterBuilder

public class PGPCertificateParameterBuilder
extends PGPAbstractSignatureParameterBuilder

Parameters for a PGP Certificate

Version:
  $Revision: 1.2 $
Author:
  Edwin Woudt

Constructor Summary
`PGPCertificateParameterBuilder(java.security.Key issuerkey)`
`PGPCertificateParameterBuilder(KeyID issuerkeyid)`

Method Summary
`void` | `setExpirationDate(java.util.Date expiration)` Set or change the expiration date
`void` | `setExportable(boolean exportable)` Set or change exportability
`void` | `setIssuerUserID(PGPPrincipal issueruserid)` Set or change the issuing user id
`void` | `setKeyFlags(boolean certification, boolean signdata, boolean encryptcommunication, boolean encryptstorage)` Set or change keyflags
`void` | `setNotationData(java.util.Properties humanreadable, java.util.Properties machinereadable)` Set or change notation data
`void` | `setPolicyURL(java.lang.String policyurl)` Set or change the policy URL
`void` | `setRevocable(boolean revocable)` Set or change revocability
`void` | `setTrust(int level, int amount, java.lang.String regex)` Set or change trust settings

Methods inherited from class cryptix.openpgp.PGPAbstractSignatureParameterBuilder
`addPacket, addUnhashedPacket, build, removePacket, removeUnhashedPacket, setCreationDate, setIssuerKeyID, setPacket, setSignatureType, setUnhashedPacket, updateCreationDate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PGPCertificateParameterBuilder

    public PGPCertificateParameterBuilder(KeyID issuerkeyid)

### PGPCertificateParameterBuilder

    public PGPCertificateParameterBuilder(java.security.Key issuerkey)
                                   throws java.security.InvalidKeyException

Method Detail

### setExpirationDate

    public void setExpirationDate(java.util.Date expiration)

  Set or change the expiration date

  Parameters:
    `expiration` - the new expiration date, or null if there is no expiration date (the default).

### setExportable

    public void setExportable(boolean exportable)

  Set or change exportability

  Parameters:
    `exportable` - true if this certificate is exportable (the default) or false if it is not.

### setTrust

    public void setTrust(int level,
                         int amount,
                         java.lang.String regex)

  Set or change trust settings

  Parameters:
    `level` - the depth or level of this certification, with 0 being the default. Allowed values are between 0 and 255 inclusive.
    `amount` - the trust amount, common values are 0 for no trust (the default), 60 for partial trust and 120 for complete trust. Allowed values are between 0 and 255 inclusive.
    `regex` - a regular expression that limits this trust extension to signatures made on userids matched by this regular expression.

### setRevocable

    public void setRevocable(boolean revocable)

  Set or change revocability

  Parameters:
    `revocable` - true if this certificate can be revoked (the default), false if it cannot be revoked.

### setNotationData

    public void setNotationData(java.util.Properties humanreadable,
                                java.util.Properties machinereadable)

  Set or change notation data

  Parameters:
    `humanreadable` - human readable notation data
    `machinereadable` - machine readable notation data

### setPolicyURL

    public void setPolicyURL(java.lang.String policyurl)

  Set or change the policy URL

  Parameters:
    `policyurl` - the URL of a deocument describing the policy the certificate was issued under.

### setKeyFlags

    public void setKeyFlags(boolean certification,
                            boolean signdata,
                            boolean encryptcommunication,
                            boolean encryptstorage)

  Set or change keyflags

  Parameters:
    `certification` - true if the certified key can be used for certifying other keys (the default), false otherwise
    `signdata` - true if the certified key can be used for signing data (the default), false otherwise
    `encryptcommunication` - true if the certified key can be used for encryption of communication (the default), false otherwise
    `encryptstorage` - true if the certified key can be used for encryption of storage (the default), false otherwise

### setIssuerUserID

    public void setIssuerUserID(PGPPrincipal issueruserid)

  Set or change the issuing user id

  Parameters:
    `issueruserid` - the principal that issues this certificate

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1999-2003 The Cryptix Foundation Ltd.